JUCE: BubbleComponent::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BubbleComponent::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » misc

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_BubbleComponent.h>`

Inheritance diagram for BubbleComponent::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawBubble (Graphics &g, BubbleComponent &bubbleComponent, const Point< float > &positionOfTip, const Rectangle< float > &body)=0
| Override this method to draw a speech-bubble pointing at a specific location on the screen.
virtual void | setComponentEffectForBubbleComponent (BubbleComponent &bubbleComponent)=0
| Override this method to set effects, such as a drop-shadow, on a BubbleComponent.

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual BubbleComponent::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ drawBubble()

virtual void BubbleComponent::LookAndFeelMethods::drawBubble | ( | Graphics & | g,
|  | BubbleComponent & | bubbleComponent,
|  | const Point< float > & | positionOfTip,
|  | const Rectangle< float > & | body
| ) |  |
| pure virtual

Override this method to draw a speech-bubble pointing at a specific location on the screen.

Implemented in LookAndFeel_V2.

## ◆ setComponentEffectForBubbleComponent()

virtual void BubbleComponent::LookAndFeelMethods::setComponentEffectForBubbleComponent | ( | BubbleComponent & | bubbleComponent | ) |
| pure virtual

Override this method to set effects, such as a drop-shadow, on a BubbleComponent.

This will be called whenever a BubbleComponent is constructed or its look-and-feel changes.

If you need to trigger this callback to update an effect, call sendLookAndFeelChange() on the component.

See also
  Component::setComponentEffect, Component::sendLookAndFeelChange

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_BubbleComponent.h